# Send data to the actionbar

title @a[scores={arena=2}] actionbar [{"text":"Build your theme!","color":"green"}]







# Count teams

scoreboard players set #cave_team_count value 0
execute as @a[scores={arena=2},tag=!spectator] run function build:phase/cave/generic/count_teams
tag @a[scores={arena=2},tag=!spectator] remove team_counted







# Manage timer

scoreboard players remove #cave_timer value 1
scoreboard players operation #seconds value = #cave_timer value
scoreboard players add #seconds value 19
scoreboard players operation #seconds value /= #20 value
scoreboard players operation #minutes value = #seconds value
scoreboard players operation #minutes value /= #60 value
scoreboard players operation #seconds value %= #60 value
execute if score #seconds value matches ..09 run bossbar set build:cave name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":0"},{"score":{"name":"#seconds","objective":"value"}}]
execute if score #seconds value matches 10.. run bossbar set build:cave name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":" },{"score":{"name":"#seconds","objective":"value"}}]
execute store result bossbar build:cave value run scoreboard players get #cave_timer value







# Manage modifiers

execute if score #cave_modifiers value matches 1.. run scoreboard players remove #cave_modifiers_timer value 1
execute if score #cave_modifiers value matches 1.. if score #cave_modifiers_timer value matches ..0 run function build:phase/cave/3/modifiers/main







# Manage completion score

execute as @a[scores={arena=2,complete=1..},tag=!spectator] run function build:phase/cave/3/complete







# Start voting phase

execute unless entity @a[scores={arena=2},tag=!eliminated,tag=!skipped,tag=!complete,tag=!spectator] run function build:phase/cave/4/start/complete
execute if score #cave_phase value matches 3 if score #cave_timer value matches ..0 run function build:phase/cave/4/start/times_up







# Cancel if there are too few players

execute if score #cave_team_count value matches ..2 run function build:phase/cave/generic/abort