# Send data to the actionbar

title @a[scores={arena=1}] actionbar [{"text":"Build your theme!","color":"green"}]







# Count teams

scoreboard players set #forest_team_count value 0
execute as @a[scores={arena=1},tag=!spectator] run function build:phase/forest/generic/count_teams
tag @a[scores={arena=1},tag=!spectator] remove team_counted







# Manage timer

scoreboard players remove #forest_timer value 1
scoreboard players operation #seconds value = #forest_timer value
scoreboard players add #seconds value 19
scoreboard players operation #seconds value /= #20 value
scoreboard players operation #minutes value = #seconds value
scoreboard players operation #minutes value /= #60 value
scoreboard players operation #seconds value %= #60 value
execute if score #seconds value matches ..09 run bossbar set build:forest name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":0"},{"score":{"name":"#seconds","objective":"value"}}]
execute if score #seconds value matches 10.. run bossbar set build:forest name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":" },{"score":{"name":"#seconds","objective":"value"}}]
execute store result bossbar build:forest value run scoreboard players get #forest_timer value







# Manage modifiers

execute if score #forest_modifiers value matches 1.. run scoreboard players remove #forest_modifiers_timer value 1
execute if score #forest_modifiers value matches 1.. if score #forest_modifiers_timer value matches ..0 run function build:phase/forest/3/modifiers/main







# Manage completion score

execute as @a[scores={arena=1,complete=1..},tag=!spectator] run function build:phase/forest/3/complete







# Start voting phase

execute unless entity @a[scores={arena=1},tag=!eliminated,tag=!skipped,tag=!complete,tag=!spectator] run function build:phase/forest/4/start/complete
execute if score #forest_phase value matches 3 if score #forest_timer value matches ..0 run function build:phase/forest/4/start/times_up







# Cancel if there are too few players

execute if score #forest_team_count value matches ..2 run function build:phase/forest/generic/abort